Subject: bug#14766: 24.3.50; sometimes "Memory exhausted" on Cygwin

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 03 Jul 2013 11:31:01 +0900

Angelo Graziosi wrote:
> Katsumi Yamaoka wrote:
>> This sometimes happens on Cygwin since the beginning of Jun
>> concurrently with Bug#14569 (bootstrap fails on Cygwin):
>>
>> Memory exhausted--use C-x s then exit and restart Emacs
>> Error running timer `display-time-event-handler': (error "Memory
>> exhausted--use
>> C-x s then exit and restart Emacs")
>> Memory exhausted--use C-x s then exit and restart Emacs [3 times]
>>
>> At that time I can do neither `C-x s' nor exit; what I can do
>> then is only to kill the Emacs process (so I transcribed the above
>> messages by hand).

> Hmm.. I never have seen that..

I suspected it might be due to display-time-interval that was too
short (1), and turned back it to the default (60) about a month ago.
It didn't help after all, though.  Here is my Emacs clock setting:

(setq display-time-default-load-average nil
      display-time-24hr-format t)
;;(setq display-time-interval 1
;;      display-time-format "%H:%M:%S")
(display-time-mode 1)

> Where you see those messages? May you give a recipe to reproduce them?

It happens unexpectedly when I do something on Emacs, so I cannot
show a reproducible recipe.  But the frequency of this is much
less than the following:

Message-ID: <[email-masked]>
> Cygwin Emacs sometimes freezes for a couple of ten seconds
> unexpectedly.  It happens irregularly while I'm writing something.

Actually while I was writing this mail, "Memory exhausted" happened
only once, but the freezing happened for over ten times. :<

> Here Emacs trunk works... Usaually I start it with at least 11
> buffers, a single frame and 3 windows.. it runs for hours with no
> problem.

I'm encouraged with you and the active users anyway.  Thanks.